<!-- employee-detail.component.html -->
<div class="container mt-5">
    <div *ngIf="employee">
        <h2>Employee Details</h2>
        <ul class="list-group">
            <li class="list-group-item"><strong>Username:</strong> {{employee.username}}</li>
            <li class="list-group-item"><strong>First Name:</strong> {{employee.firstName}}</li>
            <li class="list-group-item"><strong>Last Name:</strong> {{employee.lastName}}</li>
            <li class="list-group-item"><strong>Email:</strong> {{employee.email}}</li>
            <li class="list-group-item"><strong>Birth Date:</strong> {{employee.birthDate | date}}</li>
            <li class="list-group-item"><strong>Basic Salary:</strong> {{generalService.formatCurrency(employee.basicSalary)}}</li>
            <li class="list-group-item"><strong>Status:</strong> {{employee.status}}</li>
            <li class="list-group-item"><strong>Group:</strong> {{employee.group}}</li>
            <li class="list-group-item"><strong>Description:</strong> {{employee.description}}</li>
        </ul>
        <button class="btn btn-primary mt-3 mx-1" [routerLink]="['/employees/edit', employee.username]">Edit</button>
        <button class="btn btn-secondary mt-3 mx-1" (click)="goBack()">Back</button>
    </div>
</div>